org.apache.ignite.internal.processors.platform.cluster

## Class PlatformClusterNodeFilterImpl

- java.lang.Object
- - org.apache.ignite.internal.processors.platform.PlatformAbstractPredicate
  - - org.apache.ignite.internal.processors.platform.cluster.PlatformClusterNodeFilterImpl

All Implemented Interfaces:
  Externalizable, Serializable, PlatformClusterNodeFilter, IgnitePredicate<ClusterNode>

    public class PlatformClusterNodeFilterImpl
    extends PlatformAbstractPredicate
    implements PlatformClusterNodeFilter

Interop cluster node filter.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.platform.PlatformAbstractPredicate

`ctx, pred, ptr`

### Constructor Summary

Constructors
Constructor and Description
`PlatformClusterNodeFilterImpl()` `Externalizable` support.
`PlatformClusterNodeFilterImpl(Object pred, PlatformContext ctx)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `apply(ClusterNode clusterNode)` Predicate body.
`Object` `getInternalPredicate()`
`void` `setIgniteInstance(Ignite ignite)`

### Methods inherited from class org.apache.ignite.internal.processors.platform.PlatformAbstractPredicate

`readExternal, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PlatformClusterNodeFilterImpl

    public PlatformClusterNodeFilterImpl()

`Externalizable` support.

#### PlatformClusterNodeFilterImpl

    public PlatformClusterNodeFilterImpl(Object pred,
                                         PlatformContext ctx)

Constructor.

Parameters:
  `pred` - .Net binary predicate.
  `ctx` - Kernal context.

### Method Detail

#### apply

    public boolean apply(ClusterNode clusterNode)

Predicate body.

Specified by:
  `apply` in interface `IgnitePredicate<ClusterNode>`
Parameters:
  `clusterNode` - Predicate parameter.
Returns:
  Return value.

#### setIgniteInstance

    @IgniteInstanceResource
    public void setIgniteInstance(Ignite ignite)

Parameters:
  `ignite` - Ignite instance.

#### getInternalPredicate

    public Object getInternalPredicate()

Returns:
  Filter itself

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.0
Release Date | : November 30 2018